LootJS.modifiers((event) => {
  event
    .addLootTableModifier("undergarden:chests/catacombs")
    .randomChance(0.33)
    .addWeightedLoot(
      [2, 4],
      [
        LootEntry.of("architects_palette:cerebral_block")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:cerebral_tiles")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:cerebral_pillar")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:esoterrack")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:esoterrack_bricks")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:esoterrack_pillar")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:olivestone_bricks")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:chiseled_olivestone")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:illuminated_olivestone")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:algal_bricks")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:overgrown_algal_bricks")
          .limitCount([4, 8])
          .withChance(5),
        LootEntry.of("architects_palette:algal_lamp")
          .limitCount([4, 8])
          .withChance(5),
      ]
    );

  event
    .addLootTableModifier("undergarden:chests/catacombs")
    .randomChance(0.05)
    .addWeightedLoot([
      LootEntry.of("create_sa:experience_axe").withChance(5),
      LootEntry.of("create_sa:experience_pickaxe").withChance(5),
      LootEntry.of("create_sa:experience_shovel").withChance(5),
      LootEntry.of("create_sa:experience_sword").withChance(5),
      LootEntry.of("undergarden:slingshot").withChance(10),
    ]);

  event
    .addLootTableModifier("undergarden:chests/catacombs")
    .randomChance(0.25)
    .addWeightedLoot([
      LootEntry.of("sliceanddice:fertilizer_bucket").withChance(5),
      LootEntry.of("create_dd:mithril_ingot").withChance(5),
      LootEntry.of("undergarden:gronglet").limitCount([4, 8]).withChance(20),
    ]);
});
